Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008673TestLinkUser Authentication Methodspublic2019-05-24 15:162019-05-26 08:55
Reportersatish.p48rx@gmail.com 
Assigned Tofman 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.19 (2019 Q1) 
Fixed in Version1.9.20 Raijing DEV 
Summary0008673: https google oauth fails to login due to mismatch in redirect_uri
DescriptionGoogle oauth authentication fails if we are trying to login via https

the reason is below..

In lib/function/oauth_providers/google.php

In $oauthParams,the array item redirect_uri doesn't append the host after https:// protocol. It is just appending with http://
Steps To Reproduce //Params to get token
  $oauthParams = array(
     'code' => $code,
     'grant_type' => $authCfg['oauth_grant_type'],
     'client_id' => $authCfg['oauth_client_id'],
     'redirect_uri' => isset($_SERVER['HTTPS']) ? 'https://' [^] : 'http://' [^] . $_SERVER[HTTP_HOST]. '/login.php?oauth=google',
     'client_secret' => $authCfg['oauth_client_secret']
  );
isset($_SERVER['HTTPS']) ? 'https://' [^] : 'http://' [^] . $_SERVER[HTTP_HOST]. '/login.php?oauth=google' --> this line of code fails and it just returns https://
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version7.x
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
child of 0008549assignedfman Availables hot-fixes for 1.9.19 & How To get full fixed package from GitHub 

-  Notes
(0028867)
fman (administrator)
2019-05-25 08:25

thanks, going to fix
(0028868)
fman (administrator)
2019-05-26 08:54

already fixed

- Issue History
Date Modified Username Field Change
2019-05-24 15:16 satish.p48rx@gmail.com New Issue
2019-05-25 08:25 fman Note Added: 0028867
2019-05-26 08:54 fman QA Team - Task Workflow Status => TBD
2019-05-26 08:54 fman Note Added: 0028868
2019-05-26 08:54 fman Status new => resolved
2019-05-26 08:54 fman Fixed in Version => 1.9.20 Raijing DEV
2019-05-26 08:54 fman Resolution open => fixed
2019-05-26 08:54 fman Assigned To => fman
2019-05-26 08:55 fman Relationship added child of 0008549



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker